libmediawiki-bot-perl_5.006003-1_all.deb


Advertisement

Description

libmediawiki-bot-perl - high-level bot framework for interacting with MediaWiki wikis

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libmediawiki-bot-perl_5.006003-1_all.deb
Package name libmediawiki-bot-perl
Package version 5.006003
Package release 1
Package architecture all
Package type deb
Category perl
Homepage https://metacpan.org/release/MediaWiki-Bot
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 52.64 KB
Installed size 154.00 KB
MediaWiki::Bot is a framework that can be used to write bots which interface
with the MediaWiki API (http://en.wikipedia.org/w/api.php).
Actions the framework supports include:
* logging in/out of a MediaWiki wiki
* editing a wiki page
* moving a wiki page
* retrieving the edit history of a wiki page
* listing all pages linking to a wiki page
* downloading an image file from a wiki
* searching for text across all wiki pages

Alternatives

Package Version Architecture Repository
libmediawiki-bot-perl_5.006003-1_all.deb 5.006003 all Debian Main
libmediawiki-bot-perl - - -

Requires

Name Value
libconstant-generate-perl -
libhtml-parser-perl -
liblwp-protocol-https-perl >= 6.06
libmediawiki-api-perl -
libmodule-pluggable-perl -
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmediawiki-bot-perl_5.006003-1_all.deb
Source Package libmediawiki-bot-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmediawiki-bot-perl deb package:
    # sudo apt-get install libmediawiki-bot-perl

Files

Path
/usr/share/doc/libmediawiki-bot-perl/changelog.Debian.gz
/usr/share/doc/libmediawiki-bot-perl/changelog.gz
/usr/share/doc/libmediawiki-bot-perl/copyright
/usr/share/man/man3/MediaWiki::Bot.3pm.gz
/usr/share/man/man3/MediaWiki::Bot::Constants.3pm.gz
/usr/share/perl5/MediaWiki/Bot.pm
/usr/share/perl5/MediaWiki/Bot/Constants.pm

Changelog

2016-07-21 - Nick Morrott <knowledgejunkie@gmail.com>
libmediawiki-bot-perl (5.006003-1) unstable; urgency=medium
* Team upload.
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* debian/upstream/metadata: use HTTPS for GitHub URLs.
[ Nick Morrott ]
* New upstream release
* debian/copyright: update copyright year
* debian/control: update for new build and runtime dependencies
* debian/control: remove unnecessary Perl version dependency
* debian/control: update Standards-Version to 3.9.8 (no changes)
* debian/rules: update dh_auto_test override for make
2016-03-17 - Nick Morrott <knowledgejunkie@gmail.com>
libmediawiki-bot-perl (5.006002-1) unstable; urgency=low
* Initial Release. (Closes: #786800)

See Also

Package Description
libmediawiki-dumpfile-perl_0.2.2-1_all.deb Perl module to parse MediaWiki dump files
libmedimport-dev_4.0.0+repack-7_i386.deb Development files for libmedimport0
libmedimport0v5_4.0.0+repack-7_i386.deb Library to import old version files
libmedley-clojure_1.0.0-1_all.deb Clojure/ClojureScript utility library
libmeep-dev_1.7.0-3_i386.deb development library for using meep
libmeep-lam4-12_1.7.0-3_i386.deb library for using parallel (OpenMPI) version of meep
libmeep-lam4-dev_1.7.0-3_i386.deb development library for using parallel (OpenMPI) version of meep
libmeep-mpi-default-dev_1.7.0-3_i386.deb development library for using parallel (OpenMPI) version of meep
libmeep-mpi-default12_1.7.0-3_i386.deb library for using parallel (OpenMPI) version of meep
libmeep-mpich2-12_1.7.0-3_i386.deb library for using parallel (OpenMPI) version of meep
libmeep-mpich2-dev_1.7.0-3_i386.deb development library for using parallel (OpenMPI) version of meep
libmeep-openmpi-dev_1.7.0-3_i386.deb development library for using parallel (OpenMPI) version of meep
libmeep-openmpi12_1.7.0-3_i386.deb library for using parallel (OpenMPI) version of meep
libmeep12_1.7.0-3_i386.deb library for using meep
libmelt-ocaml-dev_1.4.0-2+b1_i386.deb LaTeX with OCaml (libraries)
Advertisement
Advertisement